Skip to main content
POST
/
api
/
v3
/
minimax
/
speech-02-hd
speech-02-hd (text to audio)
curl --request POST \
  --url https://api.example.com/api/v3/minimax/speech-02-hd
import requests

url = "https://api.example.com/api/v3/minimax/speech-02-hd"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/api/v3/minimax/speech-02-hd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Minimax’s GPTProto format for the text to audio API.
curl -X POST "https://gptproto.com/api/v3/minimax/speech-02-hd" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "emotion": "surprised",
  "enable_base64_output": false,
  "enable_sync_mode": false,
  "english_normalization": false,
  "pitch": 0,
  "speed": 0.9,
  "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
  "voice_id": "Deep_Voice_Man",
  "volume": 1,
  "language_boost": "Chinese"
}'
import requests
import json

url = "https://gptproto.com/api/v3/minimax/speech-02-hd"
headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
}

data = {
  "emotion": "surprised",
  "enable_base64_output": false,
  "enable_sync_mode": false,
  "english_normalization": false,
  "pitch": 0,
  "speed": 0.9,
  "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
  "voice_id": "Deep_Voice_Man",
  "volume": 1,
  "language_boost": "Chinese"
}

response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/minimax/speech-02-hd";
const headers = {
  "Authorization": "YOUR_API_KEY",
  "Content-Type": "application/json"
};

const data = {
  "emotion": "surprised",
  "enable_base64_output": false,
  "enable_sync_mode": false,
  "english_normalization": false,
  "pitch": 0,
  "speed": 0.9,
  "text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
  "voice_id": "Deep_Voice_Man",
  "volume": 1,
  "language_boost": "Chinese"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gptproto.com/api/v3/minimax/speech-02-hd"

    payload := []byte(`{
"emotion": "surprised",
"enable_base64_output": false,
"enable_sync_mode": false,
"english_normalization": false,
"pitch": 0,
"speed": 0.9,
"text": "Hi there! Minimax speech 2.5 now live on Gptproto! Let's try it!",
"voice_id": "Deep_Voice_Man",
"volume": 1,
"language_boost": "Chinese"
}`)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}
{
  "error": {
    "message": "Insufficient balance",
    "type": "403"
  }
}
{
  "error": {
    "message": "Internal server error",
    "type": "500"
  }
}
{
  "error": {
    "message": "Input may not meet the guidelines. Please adjust and try again.",
    "type": "503"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
emotionstring❌ NosurprisedEmotion parameter
enable_base64_outputboolean❌ NofalseEnable Base64 Output parameter
enable_sync_modeboolean❌ NofalseEnable Sync Mode parameter
english_normalizationboolean❌ NofalseEnglish Normalization parameter
pitchinteger❌ No0Pitch parameter
speednumber❌ No0.9Speed parameter
textstring❌ NoHi there! Minimax speech 2.5 now live on Gptproto! Let&apos;s try it!Text parameter
voice_idstring❌ NoDeep_Voice_ManVoice Id parameter
volumeinteger❌ No1Volume parameter
language_booststring❌ NoChineseLanguage Boost parameter